Package docking.framework

# Class DockingApplicationConfiguration

java.lang.Object
ghidra.framework.ApplicationConfiguration
docking.framework.DockingApplicationConfiguration

public class DockingApplicationConfiguration extends ApplicationConfiguration

- ## Field Summary

  ### Fields inherited from class ghidra.framework.ApplicationConfiguration

  `initializeLogging, logFile, monitor, scriptLogFile`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DockingApplicationConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ErrorDisplay`
  `getErrorDisplay()`
  `protected void`
  `initializeApplication()`
  For subclasses to do specific application initialization after all general application initialization occurs.
  `boolean`
  `isHeadless()`
  Returns whether or not the application is headless.
  `boolean`
  `isShowSplashScreen()`
  `void`
  `setShowSplashScreen(boolean showSplashScreen)`

  ### Methods inherited from class ghidra.framework.ApplicationConfiguration

  `getApplicationLogFile, getScriptLogFile, getTaskMonitor, installStaticFactories, isInitializeLogging, setApplicationLogFile, setInitializeLogging, setScriptLogFile, setTaskMonitor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DockingApplicationConfiguration

    public DockingApplicationConfiguration()

- ## Method Details

  - ### isHeadless

    public boolean isHeadless()
    Description copied from class: `ApplicationConfiguration`
    Returns whether or not the application is headless.
    Overrides:
      `isHeadless` in class `ApplicationConfiguration`
    Returns:
      true if the application is headless; otherwise, false.

  - ### getErrorDisplay

    public ErrorDisplay getErrorDisplay()
    Overrides:
      `getErrorDisplay` in class `ApplicationConfiguration`

  - ### setShowSplashScreen

    public void setShowSplashScreen(boolean showSplashScreen)

  - ### isShowSplashScreen

    public boolean isShowSplashScreen()

  - ### initializeApplication

    protected void initializeApplication()
    Description copied from class: `ApplicationConfiguration`
    For subclasses to do specific application initialization after all general application initialization occurs.
    Overrides:
      `initializeApplication` in class `ApplicationConfiguration`